Extending Qt Creator Manual | AssistProposalItemInterface

Extending Qt Creator Manual 4.3.0

# AssistProposalItemInterface Class

(TextEditor::AssistProposalItemInterface)

Inherited By: | TextEditor::AssistProposalItem

- List of all members, including inherited members

## Public Functions

| AssistProposalItemInterface() = default
virtual void | apply(TextDocumentManipulatorInterface &manipulator, int basePosition) const = 0
virtual QString | detail() const = 0
virtual quint64 | hash() const = 0
virtual QIcon | icon() const = 0
virtual bool | implicitlyApplies() const = 0
virtual bool | isSnippet() const = 0
virtual bool | isValid() const = 0
int | order() const
virtual bool | prematurelyApplies(const QChar &typedCharacter) const = 0
void | setOrder(int order)

## Member Function Documentation

### `[default]` AssistProposalItemInterface::AssistProposalItemInterface()

Default constructs an instance of AssistProposalItemInterface.

### `[pure virtual]` void AssistProposalItemInterface::apply(TextDocumentManipulatorInterface &manipulator, int basePosition) const

### `[pure virtual]` QString AssistProposalItemInterface::detail() const

### `[pure virtual]` quint64 AssistProposalItemInterface::hash() const

### `[pure virtual]` QIcon AssistProposalItemInterface::icon() const

### `[pure virtual]` bool AssistProposalItemInterface::implicitlyApplies() const

### `[pure virtual]` bool AssistProposalItemInterface::isSnippet() const

### `[pure virtual]` bool AssistProposalItemInterface::isValid() const

### int AssistProposalItemInterface::order() const

See also setOrder().

### `[pure virtual]` bool AssistProposalItemInterface::prematurelyApplies(const QChar &typedCharacter) const

### void AssistProposalItemInterface::setOrder(int order)

See also order().